%global debug_package %{nil}
%global pypi_name scan-build

Name:           python3-%{pypi_name}
Version:	2.0.11
Release:	1%{?dist}
Summary:	Clang's scan-build re-implementation in python

License:	NCSA
URL:		https://github.com/rizsotto/scan-build
Source0:	%{url}/archive/%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  clang
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description

A package designed to wrap a build so that all calls to gcc/clang are
intercepted and logged into a compilation database and/or piped to the clang
static analyzer. Includes intercept-build tool, which logs the build, as well as
scan-build tool, which logs the build and runs the clang static analyzer on it.


%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/scan-build %{buildroot}%{_bindir}/python3-scan-build


%check
nosetests-3 tests/unit

%files
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/libscanbuild
%{python3_sitelib}/libear
%{python3_sitelib}/scan_build-%{version}-py?.?.egg-info
%{_bindir}/analyze-build
%{_bindir}/analyze-c++
%{_bindir}/analyze-cc
%{_bindir}/intercept-build
%{_bindir}/intercept-c++
%{_bindir}/intercept-cc
%{_bindir}/python3-scan-build


%changelog
* Mon Mar 26 2018 Dan Čermák <dan.cermak@cgc-instruments.de> - 2.0.11-1
- Initial release
